zabbix (1:7.0.22+dfsg-1) unstable; urgency=high

  * New upstream release. (Closes: #1117448)
    + CVE-2025-49641 (fixed in 7.0.18)
    + CVE-2025-27238 (fixed in 7.0.14)
    + CVE-2025-27236 (fixed in 7.0.17)
    + CVE-2025-27233 (fixed in 7.0.11)
    + CVE-2025-27231 (fixed in 7.0.18)
  * Build-Depends:
    + golang-github-victoriametrics-easyproto-dev
    = golang-any (>= 2:1.24~)
  * README.Debian.security to denote limited scope of support.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 23 Jan 2026 18:15:57 +1100

zabbix (1:7.0.10+dfsg-2) unstable; urgency=medium

  * Relaxed strict Go modules versioning to fix FTBFS (Closes: #1099616).
  * rules: increased --max-parallel to 8.
  * Build-Depends:
    = golang-any (>= 2:1.23~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 12 Mar 2025 16:06:29 +1100

zabbix (1:7.0.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Fixed support for PHP 8.4 (Closes: #1089219).
  * New patch to fix FTBFS with newer protobuf (Closes: 1099056).
    Thanks, Félix Sipma.
  * zabbix-agent2: adjusted socket locations (Closes: #1095146).
    Thanks, Daniel Scharon.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Feb 2025 20:03:44 +1100

zabbix (1:7.0.9+dfsg-1) unstable; urgency=medium

  [ Tobias Frost ]
  * Annotate changelog entries for 1:7.0.0+dfsg-1, 1:7.0.1+dfsg-1,
    1:7.0.5+dfsg-1 and 1:7.0.3+dfsg-1 with CVE information.
  * New patch for CVE-2024-36464 (Closes: #1090030).

  [ Dmitry Smirnov ]
  * New upstream release.
  * Updated agent2 config to set PID file location (Closes: #1093277).
    Thanks, Daniel Scharon.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Jan 2025 18:58:13 +1100

zabbix (1:7.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 Nov 2024 16:40:17 +1100

zabbix (1:7.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Fixes: CVE-2024-42332, CVE-2024-42326, CVE-2024-42329 and CVE-2024-42331
  * rules: removed "--no-start" to enable server's auto-restart on upgrade (Closes: #1080985).
    Thanks, Maximilian Stein.
  * New patch to fix FTBFS (Closes: #1085860).
    Thanks, Mathias Gibbens <gibmat@debian.org>.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 01 Nov 2024 18:11:40 +1100

zabbix (1:7.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Fixes: CVE-2024-36468
  * Updated "golang_vartype.patch" as per upstream commit.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Sep 2024 17:00:57 +1000

zabbix (1:7.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Aug 2024 17:29:01 +1000

zabbix (1:7.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2024-22120 (https://support.zabbix.com/browse/ZBX-24505)
  * Fixes: CVE-2024-36460, CVE-2024-36461, CVE-2024-36462 

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 Jul 2024 19:02:43 +1000

zabbix (1:7.0.0+dfsg-2) unstable; urgency=medium

  * Removed obsolete patches.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 08 Jun 2024 00:48:04 +1000

zabbix (1:7.0.0+dfsg-1) unstable; urgency=medium

  * New major upstream LTS release.
    Fixes: CVE-2024-22114, CVE-2024-22116, CVE-2024-22122, CVE-2024-22123
  * php-frontend: conf examples updated for PHP-8.2 (Closes: #1051315).
    Thanks, Risto Paavola.
  * Ship zabbix_sender in its own package (Closes: #1059583).
    Thanks, Rob Parker.
  * zabbix-agent: Recommends += zabbix-sender
  * zabbix-frontend-php: Recommends += php-curl
  * New patch to fix FTBFS on [mips64el].
  * Build-Depends:
    = golang-any (>= 2:1.21~)
    = pkgconf | pkg-config
    + golang-github-go-logr-logr-dev
    + golang-google-protobuf-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Jun 2024 00:50:31 +1000

zabbix (1:6.0.29+dfsg-1) unstable; urgency=medium

  [ Andreas B. Mundt ]
  * Tiny fix for zabbix-server-pgsql.README.Debian:
    Make user zabbix the owner of the zabbix db.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Use vendored "miekg/dns" to fix FTBFS (Closes: #1064715).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 26 Apr 2024 18:02:43 +1000

zabbix (1:6.0.25+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Dec 2023 19:18:50 +1100

zabbix (1:6.0.24+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Dec 2023 18:35:09 +1100

zabbix (1:6.0.23+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed the following vulnerabilities (Closes: #1055175):
      * CVE-2023-29449
      * CVE-2023-29450
      * CVE-2023-29451
      * CVE-2023-29452
      * CVE-2023-29453
      * CVE-2023-29454
      * CVE-2023-29455
      * CVE-2023-29456
      * CVE-2023-29457
      * CVE-2023-29458
    + fixed the following vulnerabilities (Closes: #1053877):
      * CVE-2023-32721
      * CVE-2023-32722
      * CVE-2023-32723
      * CVE-2023-32724
  * Ignore errors in "go list" (dh_golang) until that is fixed in Golang
    (Closes: #1050671, #1052897).
  * Agent/service: start after "network-online.target" (Closes: #1043400).
  * Control/Depends: lsb-base --> sysvinit-utils (>= 3.05-4~).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 25 Nov 2023 20:21:41 +1100

zabbix (1:6.0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed PHP-8.2 compatibility issues (Closes: #1033241).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 Mar 2023 20:38:41 +1100

zabbix (1:6.0.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Fixed CVE-2022-46768 and CVE-2022-43515 (Closes: #1026847).
  * Standards-Version: 4.6.2.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Feb 2023 18:20:55 +1100

zabbix (1:6.0.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use bundled "golang.org/x/{sys|net}" to fix FTBFS (Closes: #1023046).
  * Standards-Version: 4.6.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Nov 2022 14:54:48 +1100

zabbix (1:6.0.9+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 29 Sep 2022 19:53:50 +1000

zabbix (1:6.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * New patch to fix FTBFS on [riscv64] (Closes: #1019255).
    Thanks, Eric Long.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 07 Sep 2022 12:22:38 +1000

zabbix (1:6.0.7+dfsg-3) unstable; urgency=medium

  * dh_dwz: excluded "zabbix_web_service" and "zabbix_agent2"
    (Closes: #1017285)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 15 Aug 2022 14:48:56 +1000

zabbix (1:6.0.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Fixed CVE-2022-35229 and CVE-2022-35230.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Aug 2022 22:07:20 +1000

zabbix (1:6.0.7+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Aug 2022 18:37:55 +1000

zabbix (1:6.0.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Build binary packages "zabbix-web-service" and "zabbix-agent2"
    (Closes: #976285).
  * Build-Depends:
    - libjs-prototype

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Jul 2022 11:37:54 +1000

zabbix (1:6.0.3+dfsg-1) experimental; urgency=medium

  * New major upstream LTS release.
  * Build with current PCRE library (Closes: #999920).
  * Build-Depends:
    - libpcre3-dev
    + libpcre2-dev
    + libmodbus-dev
    + libssl-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Apr 2022 21:21:00 +1000

zabbix (1:5.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Nov 2021 11:15:32 +1100

zabbix (1:5.0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Updated zabbix-java-gateway.README.Debian
  * Standards-Version: 4.6.0
  * agent: +Provides: zabbix-sender (Closes: #987050).
    Thanks, Thomas Goirand.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Aug 2021 13:50:57 +1000

zabbix (1:5.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Feb 2021 11:45:27 +1100

zabbix (1:5.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jan 2021 16:57:30 +1100

zabbix (1:5.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 Oct 2020 20:16:53 +1100

zabbix (1:5.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * zabbix-frontend-php: provide upstream templates.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Oct 2020 12:44:26 +1000

zabbix (1:5.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed CVE-2020-15803 / ZBX-18057 (Closes: #966146).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 24 Jul 2020 17:22:14 +1000

zabbix (1:5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Install "zabbix_js" utility.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 May 2020 00:00:39 +1000

zabbix (1:5.0.0+dfsg-1) unstable; urgency=medium

  * New major upstream release.
  * "watch" file to fetch sources directly from "zabbix.com".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 May 2020 18:15:58 +1000

zabbix (1:4.0.19+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rules-Requires-Root: no.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Apr 2020 19:54:18 +1000

zabbix (1:4.0.18+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Use pkg-config for libxml2 detection (Closes: #949516).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Feb 2020 18:43:40 +1100

zabbix (1:4.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 04 Feb 2020 15:03:41 +1100

zabbix (1:4.0.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 14:18:34 +1100

zabbix (1:4.0.15+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Nov 2019 12:34:41 +1100

zabbix (1:4.0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * agent: added "Pre-Depends" field.
  * watch file to track 4.0 LTS releases.
  * rules: added override_dh_dwz with exclusions to fix FTBFS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 Nov 2019 19:50:04 +1100

zabbix (1:4.0.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * jh_depends to prefer headless dependencies (Closes: #864861).
  * removed default Hostname from proxy config (Closes: #923534).
  * tmpfiles: /var/run --> /run (Closes: #931364).
  * CI: test on Buster & update.
  * DH & compat to version 12.
  * Standards-Version: 4.4.0.
  * java-gateway: added "Pre-Depends" field.
  * /var/run --> /run.
  * Build-Depends-Indep:
    - default-jdk
    + default-jdk-headless
  * Use "DejaVuSans.ttf" from "fonts-dejavu-core".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 21 Aug 2019 12:11:36 +1000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog zabbix-proxy-sqlite3`.
